<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use App\Models\Movement;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call(ServiceSeeder::class);
        $this->call(ProductSeeder::class);
        $this->call(ClientSeeder::class);
        $this->call(CarSeeder::class);
        $this->call(UserSeeder::class);
        $this->call(ConditionSeeder::class);
        $this->call(BankAccountSeeder::class);
        Movement::factory()->count(200)->create();
    }
}
